/virtualclusters/{virtualClusterId}/endpoints
http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpointsLists managed endpoints based on a set of parameters. A managed endpoint is a gateway that connects Amazon EMR Studio to Amazon EMR on EKS so that Amazon EMR Studio can communicate with your virtual cluster.
Path Parameters
The ID of the virtual cluster.
Query Params
The date and time before which the endpoints are created.
The date and time after which the endpoints are created.
The types of the managed endpoints.
The states of the managed endpoints.
The maximum number of managed endpoints that can be listed.
The token for the next set of managed endpoints to return.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpoints' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}